"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("dotenv/config");
const log_1 = require("./log");
const fd_1 = require("./fd");
let fd;
let log = (0, log_1.createLog)('fm');
log.info('Starting filmout_manager');
function settings() {
    if (typeof process.env['FD'] === 'undefined') {
        log.error('Please include an FD value containing the path to your fd binary in .env');
        process.exit(1);
    }
    else {
        log.info(`FD=${process.env['FD']}`);
    }
    if (typeof process.env['WIDTH'] === 'undefined') {
        log.error('Please include a WIDTH value containing the width of the screen you are using in .env');
        process.exit(2);
    }
    else {
        log.info(`WIDTH=${process.env['WIDTH']}`);
    }
    if (typeof process.env['HEIGHT'] === 'undefined') {
        log.error('Please include a HEIGHT value containing the height of the screen you are using in .env');
        process.exit(3);
    }
    else {
        log.info(`HEIGHT=${process.env['HEIGHT']}`);
    }
    if (typeof process.env['FD_HOST'] === 'undefined') {
        log.error('Please include a FD_HOST value with the host that the fd socket server is hosted on in .env');
        process.exit(4);
    }
    else {
        log.info(`FD_HOST=${process.env['FD_HOST']}`);
    }
    if (typeof process.env['FD_PORT'] === 'undefined') {
        log.error('Please include a FD_PORT value with the port that the fd socket server is hosted in in .env');
        process.exit(5);
    }
    else {
        log.info(`FD_PORT=${process.env['FD_PORT']}`);
    }
}
async function main() {
    settings();
    fd = new fd_1.FD(process.env['FD'], parseInt(process.env['WIDTH']), parseInt(process.env['HEIGHT']), process.env['FD_HOST'], parseInt(process.env['FD_PORT']));
}
main();
//# sourceMappingURL=index.js.map